<?xml version = "1.0" encoding="UTF-8"?>
<plugin
  id="de.grogra.ext.cpfg"
  version="1.6"
  xmlns="http://grogra.de/registry">

  <library file="CPFG.jar" prefixes="{de.grogra.ext.cpfg}"/>

  <import plugin="de.grogra.grammar"/>
  <import plugin="de.grogra.imp3d"/>

  <registry>
    <ref name="io">
      <ref name="filetypes">
        <ext name="surface" extensions="{.s}" mimeType="text/x-cpfg-surface"/>
        <ext name="function" extensions="{.func}" mimeType="text/x-cpfg-function"/>
        <ext name="contour" extensions="{.con}" mimeType="text/x-cpfg-contour"/>
      </ref>
      <ref name="mimetypes">
        <mimetype name="text/x-cpfg-surface">
          <filter input="reader" outputClass="de.grogra.imp3d.objects.Null" create="de.grogra.ext.cpfg.SurfaceFilter"/>
        </mimetype>
        <mimetype name="text/x-cpfg-contour">
          <filter input="reader" outputClass="de.grogra.math.BSplineOfVertices" create="de.grogra.ext.cpfg.ContourFilter"/>
        </mimetype>
        <mimetype name="text/x-cpfg-function">
          <filter input="reader" output="text/x-grogra-table+xml; io=sax" create="de.grogra.ext.cpfg.FunctionFilter"/>
        </mimetype>
      </ref>
    </ref>
  </registry>
</plugin>
